<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>BITCS FORM VALIDATION</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div class="container">
        <h1>BITCS FORM VALIDATION</h1>
        <form id="form">
            <div class="form-group">
                <label for="email">Email address</label>
                <input type="text" class="form-control" id="email" placeholder="Enter your email" required>
                <small id="emailvalid" class="form-text">
                    Your email must be a valid email.
                </small>
            </div>
            <div class="form-group">
                <label for="email">Password</label>
                <input type="password" class="form-control" id="password" placeholder="Enter Your Password" required autocomplete="on">
                <small id="passwordvalid" class="form-text">
                    Your password should be atleast 6 characters and should contain atleast one Uppercase ,one lowercase
                    and one numeric and should not contain white spaces.
                </small>
            </div>
            <div class="form-group">
                <label for="car">Select Your Gender</label>
                <select class="form-control" id="gender">
                    <option>Male</option>
                    <option>Female</option>
                    <option>Others</option>
                </select>
            </div>
            <div class="form-group">
                <label for="">Select Your Role</label>
                <div class="form-check">
                    <input class="" type="radio" name="roleType" id="admin" value="ADMIN">
                    <label class="" for="admin">
                        Admin
                    </label>
                </div>
                <div class="form-check">
                    <input class="" type="radio" name="roleType" id="user" value="USER">
                    <label class="" for="user">
                        User
                    </label>
                </div>
                <small id="rolevalid" class="form-text">
                    Please select your Role. 
                </small>
            </div>

            <div class="form-group">
                <label for="">Select Your Permissions</label><br>
                <div class="form-check">
                    <input type="checkbox" id="perm1" name="perm1" value="Perm1">
                    <label for="perm1"> Perm1</label><br>
                </div>
                <div class="form-check">
                    <input type="checkbox" id="perm2" name="perm2" value="Perm2">
                    <label for="perm2"> Perm2</label><br>
                </div>
                <div class="form-check">
                    <input type="checkbox" id="perm3" name="perm3" value="Perm3">
                    <label for="perm3"> Perm3</label><br>
                </div>
                <div class="form-check">
                    <input type="checkbox" id="perm4" name="perm4" value="Perm4">
                    <label for="perm4"> Perm4</label><br>
                </div>
                <small id="permvalid" class="form-text">
                    Please select atleast 2 permissions from above. 
                </small>
            </div>
            <button id="submit">Submit</button>
        </form>
        <div id="confirmForm"></div>
    </div>






    <script src="index.js"></script>
</body>

</html>